Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12863

Description

Tring to run ManageR, it fails to detect R and Rpy installation :

Unable to load manageR: Unable to load required package rpy2.

Please ensure that both R, and the corresponding version of Rpy2 are correctly installed.

R is installed, from bash :

[[MacBook]]-Pro-15-di-Massimo-Di-Stefano:build6 sasha$ R64R version 2.11.1 (2010-05-31)Copyright (C) 2010 The R Foundation for

Statistical [[ComputingISBN]] 3-900051-07-0R è un software libero ed è rilasciato SENZA ALCUNA GARANZIA....

...

...

Scrivi 'demo()' per una dimostrazione, 'help()' per la guida in linea, o

'help.start()' per l'help navigabile con browser HTML.

Scrivi 'q()' per uscire da R.

Also rpy2 is already installed :

Python 2.6.1 (r261:67515, Feb 11 2010, 00:51:29) 

[GCC 4.2.1 (Apple Inc. build 5646)] on darwin

Type "help", "copyright", "credits" or "license" for more information.

import rpy2

dir(rpy2)

['+builtins+', '+doc+', '+file+', '+loader+', '+name+', '+package+', '+path+', '+version+']

this the plug-in log :

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/Users/sasha/.qgis/python/plugins/manageR/plugin.py", line 61, in run

    [[MainWindow]](self.iface, self.version,isConsole=True, isStandalone=False).show()

  File "/Users/sasha/.qgis/python/plugins/manageR/manageR.py", line 3608, in init

    self.editor.append(welcomeString(self.version, isStandalone))

  File "/Users/sasha/.qgis/python/plugins/manageR/manageR.py", line 122, in welcomeString
    string.append("Currently running %s\

" % robjects.r.versionr12r0)

[[NameError]]: global name 'robjects' is not defined

History

#1 - 2010-06-12 07:42 AM - Paolo Cavallini

It should be the usual problem with paths.

#2 - 2010-06-14 04:06 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

it is also a 3rd party plugin so in any case the problems need to be reported in the qgis-dev mailing list.
